unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  se_pngimagelist, se_effect, se_ani, se_controls, ImgList,
  ExtCtrls, se_image, se_imagelist, jpeg, StdCtrls, Buttons, se_form,
  ComCtrls, Unit4, Unit3, ShellAPI;

type
  TForm1 = class(TForm)
    seAnimationList1: TseAnimationList;
    PageAnimation: TseAnimation;
    seImageList1: TseImageList;
    FormShowAnimation: TseAnimation;
    seAnimationForm1: TseAnimationForm;
    sePanel1: TsePanel;
    seNoteBook1: TseNoteBook;
    seXLabel1: TseXLabel;
    seXLabel2: TseXLabel;
    seXLabel3: TseXLabel;
    seXLabel4: TseXLabel;
    seXLabel5: TseXLabel;
    seReflectLabel1: TseReflectLabel;
    seToolBarEx1: TseToolBarEx;
    sePngImageStorage1: TsePngImageStorage;
    sePngXButton1: TsePngXButton;
    seAnimation1: TseAnimation;
    sePngImageList1: TsePngImageList;
    sePngXButton2: TsePngXButton;
    sePngXButton3: TsePngXButton;
    seImageList2: TseImageList;
    seImage1: TseImage;
    TestAnimation: TseAnimation;
    seAnimation2: TseAnimation;
    sePngXButton4: TsePngXButton;
    seButtonLabel3: TseButtonLabel;
    sePanel2: TsePanel;
    sePngXButton5: TsePngXButton;
    seXLabel7: TseXLabel;
    seXLabel8: TseXLabel;
    seButtonLabel4: TseButtonLabel;
    sePngImageView1: TsePngImageView;
    sePngXButton6: TsePngXButton;
    seXLabel9: TseXLabel;
    seXLabel10: TseXLabel;
    Edit1: TEdit;
    seReflectLabel2: TseReflectLabel;
    sePngXButton7: TsePngXButton;
    Panel1: TPanel;
    Button4: TButton;
    Memo1: TMemo;
    sePngXButton8: TsePngXButton;
    sePngXButton9: TsePngXButton;
    TestAnimation2: TseAnimation;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    Button1: TButton;
    GroupBox1: TGroupBox;
    Edit2: TEdit;
    Frame31: TFrame3;
    sePngXButton10: TsePngXButton;
    Frame41: TFrame4;
    seAnimation3: TseAnimation;
    sePngImageList2: TsePngImageList;
    sePngImagePanel1: TsePngImagePanel;
    seButtonLabel1: TseButtonLabel;
    seButtonLabel2: TseButtonLabel;
    seXLabel6: TseXLabel;
    seAnimation4: TseAnimation;
    procedure seToolBarEx1Change(Sender: TObject);
    procedure sePngXButton1Click(Sender: TObject);
    procedure sePngXButton2Click(Sender: TObject);
    procedure sePngXButton3Click(Sender: TObject);
    procedure sePngXButton5Click(Sender: TObject);
    procedure seButtonLabel4CheckChanged(Sender: TObject);
    procedure sePngXButton6Click(Sender: TObject);
    procedure sePngXButton7Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure sePngXButton8Click(Sender: TObject);
    procedure sePngXButton9Click(Sender: TObject);
    procedure PageControl1Changing(Sender: TObject;
      var AllowChange: Boolean);
    procedure PageControl1Change(Sender: TObject);
    procedure sePngXButton10Click(Sender: TObject);
    procedure seButtonLabel1Click(Sender: TObject);
    procedure seButtonLabel2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure sePngImagePanel1MouseEnter(Sender: TObject);
    procedure sePngImagePanel1MouseLeave(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.seToolBarEx1Change(Sender: TObject);
begin
  seNoteBook1.PageIndex := seToolBarEx1.ItemIndex;
end;

procedure TForm1.sePngXButton1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.sePngXButton2Click(Sender: TObject);
begin
  if seImage1.ImageIndex = 0
  then
    seImage1.ImageIndex := 1
  else
  if seImage1.ImageIndex = 1
  then
    seImage1.ImageIndex := 2
  else
    seImage1.ImageIndex := 0;
end;

procedure TForm1.sePngXButton3Click(Sender: TObject);
begin
  TestAnimation.ShowDesigner;
end;

procedure TForm1.sePngXButton5Click(Sender: TObject);
begin
  if sePanel2.BGImageIndex = 0
  then
    sePanel2.BGImageIndex := 1
  else
    sePanel2.BGImageIndex := 0;
end;

procedure TForm1.seButtonLabel4CheckChanged(Sender: TObject);
begin
  sePngImageView1.ReflectionEffect := seButtonLabel4.Checked;
end;

procedure TForm1.sePngXButton6Click(Sender: TObject);
begin
  if sePngImageView1.ImageIndex = 9
  then
    sePngImageView1.ImageIndex := 8
  else
    sePngImageView1.ImageIndex := 9;
end;

procedure TForm1.sePngXButton7Click(Sender: TObject);
begin
  seXLabel10.ChangeText(Edit1.Text);
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if key=#13
  then
    seXLabel10.ChangeText(Edit1.Text);
end;

procedure TForm1.sePngXButton8Click(Sender: TObject);
begin
  with TestAnimation2 do
  begin
    ForceControlUpdate := True;
    FreezeControlClient(Panel1, Panel1.ClientRect);
    try
      Button4.Left := Random(80);
      Button4.Top := Random(80);
      Panel1.Color := Random($FFFFFF);
      Execute;
    finally
      Restore;
    end;
  end;
end;

procedure TForm1.sePngXButton9Click(Sender: TObject);
begin
  TestAnimation2.ShowDesigner;
end;

procedure TForm1.PageControl1Changing(Sender: TObject;
  var AllowChange: Boolean);
begin
  with seAnimation3 do
  begin
    FreezeControlClient(PageControl1, PageControl1.ClientRect);
  end;
end;

procedure TForm1.PageControl1Change(Sender: TObject);
begin
  with seAnimation3 do
  begin
    try
      ForceControlUpdate := True;
      Execute;
    finally
      Restore;
    end;
  end;
end;

procedure TForm1.sePngXButton10Click(Sender: TObject);
begin
  with TestAnimation2 do
  begin
    ForceControlUpdate := True;
    FreezeControlClient(seNoteBook1.GetPage(seNoteBook1.PageIndex),
      Rect(Frame31.Left, Frame31.Top,
      Frame31.Left + Frame31.Width, Frame31.Top + Frame31.Height));
    Frame31.Visible := not Frame31.Visible;
    Frame41.Visible := not Frame41.Visible;
    try
      Execute;
    finally
      Restore;
    end;
  end;
end;

procedure TForm1.seButtonLabel1Click(Sender: TObject);
var
  FURL: String;
begin
  FURL := 'http://www.almdev.com';
  ShellExecute(0, 'open', PChar(FURL), nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.seButtonLabel2Click(Sender: TObject);
var
  FURL: String;
begin
  FURL := 'mailto:support@almdev.com';
  ShellExecute(0, 'open', PChar(FURL), nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  SplashForm := TSplashForm.Create(Application);
  SplashForm.ShowModal;
  SplashForm.Free;
end;

procedure TForm1.sePngImagePanel1MouseEnter(Sender: TObject);
begin
  sePngImagePanel1.ImageIndex := 12;
end;

procedure TForm1.sePngImagePanel1MouseLeave(Sender: TObject);
begin
  sePngImagePanel1.ImageIndex := 11;
end;

end.
